
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JAVA内存学习1——玩一玩StackOverFlowError和OutOfMemoryError / iVAN</title>

    <meta name="description" content="JAVA内存学习1——玩一玩StackOverFlowError和OutOfMemoryError 最近开始看周志明老师的&lt;深入理解JAVA虚拟机&gt;,只看不写不是好程序员,故记下一些心得和代码,作为留念. 第二章自动内存管理机制 P40 看到书中有提到StackOverFlowError和OutOfMemoryError,弄出来玩一玩.  static void getOutOfMemoryError(){         List&lt;int[]&gt; list = new LinkedList&lt;int[]&gt;();         for(int i=0;i&lt ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JAVA内存学习1——玩一玩StackOverFlowError和OutOfMemoryError</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最近开始看周志明老师的《深入理解JAVA虚拟机》，只看不写不是好程序员，故记下一些心得和代码，作为留念。</p>
<p>第二章自动内存管理机制 P40</p>
<p>看到书中有提到StackOverFlowError和OutOfMemoryError，弄出来玩一玩。</p>
<p> static void getOutOfMemoryError(){<br />
        List&lt;int[]&gt; list = new LinkedList&lt;int[]&gt;();<br />
        for(int i=0;i&lt;1000;i++){<br />
            System.out.println(i);<br />
            int[] tmp=new int[1000000];<br />
            list.add(tmp);<br />
        }<br />
        <br />
    }<br />
    <br />
    static void getStackOverFlowError(){<br />
        for(;;){<br />
            getStackOverFlowError();<br />
        }<br />
    }</p>
<p>获得后发现，getStackOverFlowError 打印出错误日志为：</p>
<p>Exception in thread "main" java.lang.StackOverflowError<br />at com.play.test.jvm.memory.GetError.getStackOverFlowError(GetError.java:30)</p>
<p>...</p>
<p>at com.play.test.jvm.memory.GetError.getStackOverFlowError(GetError.java:30)</p>
<p>正好是1024个getStackOverFlowError ,也就是递归1024次自动抛出了ERROR</p>
<p>而getOutOfMemoryError</p>
<p>在循环执行到第230次的时候开始报错（230-232），此时list中应该有2.3*10^8个int，我是用的64位的JVM，故int占4B，</p>
<p>所以总内存占用大概是:9.2*10^9B, 也就是920M，我的内存设置为-Xms128m -Xmx1024m 最大1G，还有接近100M内存去哪了呢？</p>
<p>改进方法，直接打出当前占用内存值</p>
<p>static void getOutOfMemoryError(){<br />
        List&lt;int[]&gt; list = new LinkedList&lt;int[]&gt;();<br />
        for(int i=0;i&lt;1000;i++){<br />
            System.out.println(i);<br />
            if(i&gt;229){<br />
                Runtime run = Runtime.getRuntime();<br />
                System.out.println( run.maxMemory());<br />
                System.out.println( run.totalMemory());<br />
                System.out.println( run.freeMemory());<br />
            }<br />
            int[] tmp=new int[1000000];<br />
            list.add(tmp);<br />
        }<br />
        <br />
    }</p>
<p>输出结果</p>
<p>232<br />
当前JVM最大可用内存：954728448<br />
当前JVM使用内存总量：940572672<br />
当前剩余可用内存：11769904</p>
<p>总可用内存为955M左右，还有69M内存去哪了？</p>
<p>初步推测为虚拟机占用，分区应该是perm区。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 15:58:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JAVA内存学习1——玩一玩StackOverFlowError和OutOfMemoryError的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjmgrp.html" rel="bookmark">JVM学习（3）&mdash;&mdash;总结Java内存模型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				俗话说,自己写的代码,6个月后也是别人的代码--复习!复习!复习!涉及到的知识点总结如下: 为什么学习Java的内存模式 缓存一致性问题 什么是内存模型 JMM(Java Memory Model)简介 volatitle关键字 原子性 可见性 有序性 指令重排 先行发生--happen-before原则 解释执行和编译执行 其他语言(c和c++)也有内存模型么?   为什么需要关注Java内存模型?   之前有一个我实习的同事(已经工作的)反讽我:学(关注)这个有什么用? 我没有回答,我牢记一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkAakEb.html" rel="bookmark">《Java特种兵》1&period;3 简单数字游戏玩一玩</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 简单数字游戏玩一玩 数字游戏没错就是玩数字游戏 Java怎么玩马上见证下 玩数字有什么用途呢我们不是虚拟数据给别人看而是通过玩数字转换让我们更了解计算机的数字运算也许数字运算可以有一些神奇的地方有些变态的问题也不是我们想的那么简单. 这里不讲基本的&quot;四则运算&quot;胖哥会讲一些运算符然后再讲讲&quot;大数字&quot;是如何处理的. 1.3.1 变量A.B交换有几种方式 胖哥认为有3种方法来实现变量交换其中一种最简单的方法就是定义一个变量C作为中间量来实现代码例子如下 int C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWVYez.html" rel="bookmark">学习JVM之java内存区域与异常&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.前言 java是一门跨硬件平台的面向对象高级编程语言,java程序运行在java虚拟机上(JVM),由JVM管理内存,这点是和C++最大区别:虽然内存有JVM管理,但是我们也必须要理解JVM是如何管理内存的:JVM不是只有一种,当前存在的虚拟机可能达几十款,但是一个符合规范的虚拟机设计是必须遵循&lt;java 虚拟机规范&gt;的,本文是基于HotSpot虚拟机描述,对于和其它虚拟机有区别会提到:本文主要描述JVM中内存是如何分布.java程序的对象是如何存储访问.各个内存区域可能出现的异常. 二.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBK7AOM.html" rel="bookmark">Java内存管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				版权声明:本文为博主原创文章,转载注明出处http://blog.csdn.net/u013142781 前一段时间粗略看了一下&lt;深入Java虚拟机 第二版&gt;,可能是因为工作才一年的原因吧,看着十分的吃力.毕竟如果具体到细节的话,Java虚拟机涉及的内容太多了.可能再过一两年去看会合适一些吧. 不过看了一遍&lt;深入Java虚拟机&gt;再来理解Java内存管理会好很多.接下来一起学习下Java内存管理吧. 请注意上图的这个: 我们再来复习下进程与线程吧: 进程是具有一定独立功能的程序关于某			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2PxZkp.html" rel="bookmark">深入探讨Java内存区域&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.概述 Java虚拟机在执行Java程序的过程中会把它所管理的内存划分为若干不同的数据区域,这些区域都有各自的用途以及创建和销毁的时间.Java虚拟机所管理的内存将会包括以下几个运行时数据区域,如下图所示: 下面就每一个区域进行阐述. 二.运行时数据区域 程序计数器 程序计数器,可以看做是当前线程所执行的字节码的行号指示器.在虚拟机的概念模型里,字节码解释器工作就是通过改变程序计数器的值来选择下一条需要执行的字节码指令,分支.循环.跳转.异常处理.线程恢复等基础功能都要依赖这个计数器来完成.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLa97vz.html" rel="bookmark">java HTML5 学习资料汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前JAVA可以说是产业界和学术界最热门的语言,许多人都很急切想把JAVA学好. 但学习是需要步骤的,除非像电影中演的那样,能够把需要的专业技巧下载到脑海:主角只花了几秒下载资料,就马上具备飞行员的技巧,或是武侠小说中的运功传送内力的方式,否则花上一段时间苦学是少不了的.花时间,不打紧,就怕方法错误,事倍功半. java 学习文章推荐.java学习线路.java 知识图谱. HTML5 微数据 RDFa/微格式 使用 jQuery 的 Autocomplete 插件实现input输入提示功能 创			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlB7Jqz.html" rel="bookmark">【Java面向对象学习】一张图搞定Java面向对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				刚开始学习Java的时候,一个人跌跌撞撞摸索着往前走,很多东西理解的也懵懵懂懂,后来实践的多了,才慢慢清楚:许多东西虽然很基础但是却很重要,是需要反复思考和加深理解的,[Java面向对象学习]一张图搞定Java面向对象,分享一些归纳总结后的技术干货,一张图能搞定的事,绝对不长篇大论. 大家都知道,Java面向对象是Java的一个核心,也是初学者的一个难点,所以我们从这里开始,Let's go ! Java面向对象 面向对象(Oriented Object) 是相对于面向过程而言的,过程其实就是函			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOaB59M.html" rel="bookmark">&lbrack;Java&rsqb;深入理解Java内存模型（一）基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在并发编程中,我们需要处理两个关键问题:线程之间如何通信及线程之间如何同步(这里的线程是指并发执行的活动实体).通信是指线程之间以何种机制来交换信息.在命令式编程中,线程之间的通信机制有两种:共享内存和消息传递. 在共享内存的并发模型里,线程之间共享程序的公共状态,线程之间通过写-读内存中的公共状态来隐式进行通信.在消息传递的并发模型里,线程之间没有公共状态,线程之间必须通过明确的发送消息来显式进行通信. 同步是指程序用于控制不同线程之间操作发生相对顺序的机制.在共享内存并发模型里,同步是显式进			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ogakb.html" rel="bookmark">深入理解Java内存模型（一）&mdash;&mdash;基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文属于作者原创,原文发表于InfoQ:http://www.infoq.com/cn/articles/java-memory-model-1 并发编程模型的分类 在并发编程中,我们需要处理两个关键问题:线程之间如何通信及线程之间如何同步(这里的线程是指并发执行的活动实体).通信是指线程之间以何种机制来交换信息.在命令式编程中,线程之间的通信机制有两种:共享内存和消息传递. 在共享内存的并发模型里,线程之间共享程序的公共状态,线程之间通过写-读内存中的公共状态来隐式进行通信.在消息传递的并发模			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM62PNM.html" rel="bookmark" class="title">Android错误：ava&period;lang&period;IllegalStateException</a>
					<div>
						Android错误:ava.lang.IllegalStateException: Recursive entry to executePendingTransactions 错误 java.lang ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp56oBz.html" rel="bookmark" class="title">用CSS实现段落前面缩进两个字</a>
					<div>
						核心提示:段落前面空两个字的距离,不要再使用空格了.应该使用首行缩进text-indent.text-indent可以使得容器内首行缩进一定单位.比如中文段落一般每段前空两个汉字. &lt;style ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba2YmM.html" rel="bookmark" class="title">剖析 &period;Net 下的数据访问层技术（三）</a>
					<div>
						访问|数据 u O/R Mapping O/R Mapping的全称是:Object Relational Mapping,主要目的是在传统RDBMS与OO Language之间建映射关系,从而使开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMylq4b.html" rel="bookmark" class="title">vb神童教程&lpar;续&rpar;--VB的ADO对象</a>
					<div>
						本文欢迎非商业用途的转载,但需要注明出自&quot;编程入门网&quot;及相应的网址链接. ADO简介 参考资料: ADO简介:http://bianceng.cn/VBjc/sjcz/sj2.ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kkLRz.html" rel="bookmark" class="title">JSF 2简介</a>
					<div>
						在 JSF 2 简介 系列的 上一期 中,我讨论了使用内置的 Ajax 实现自动完 成复合组件.页面作者可以在一个 facelet 中使用该组件,该组件负责处理所 有 Ajax 细节.尽管内置的 Aj ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP6BmM.html" rel="bookmark" class="title">C&plus;&plus;空类的默认成员函数总结</a>
					<div>
						class Empty { public: Empty(); //缺省构造函数 Empty(const Empty&amp;); //拷贝构造函数 ~Empty(); //析构函数 Empty&amp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7orab.html" rel="bookmark" class="title">Photoshop打造梦幻天使婚片教程</a>
					<div>
						婚片美化不要局限于调色及润色.可以发挥自己的想象,用各种奇幻的素材来装饰和美化,让画面看上去更梦幻,更有艺术感.作者方法仅作为提示,更多效果还需要自己慢慢去创造. 原图 最终效果 1.打开婚纱原图,复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEGZob.html" rel="bookmark" class="title">IE10快速翻页功能让浏览更高效</a>
					<div>
						浏览网页时常会遇到这样的情况,一篇文章被分成几页或十几页来显示, 于是每看完一页都要找到&quot;下一页&quot;按钮来翻页,十分麻烦.Modern触控版IE10浏览器的快速翻页功能,让你无需费心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk28v1M.html" rel="bookmark" class="title">Excel将空单元格快速填充为上方单元格的值</a>
					<div>
						  Excel将空单元格快速填充为上方单元格的值 步骤 1.首先打开excel表格看到A列对应的省份有空单元格,如下图所示: 2.然后选中A列内容,如下图所示: 3.然后选择方方格子插件中的数值录入空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wZGJp.html" rel="bookmark" class="title">ie11不兼容网页怎么办？</a>
					<div>
						  ie11不兼容网页怎么办?现在,还是有不少人在使用ie11这个浏览器.而不少人都遇到了ie11不兼容网页的情况.那么,ie11不兼容网页怎么办?下面是小编带来的ie11不兼容网页的两种解决方法.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AJx7p.html" rel="bookmark" class="title">1234笔画输入法怎么大键盘输入？</a>
					<div>
						  1234笔画输入法大键盘输入教程: 大键盘输入(打字) 说明: 大键盘的5个默认打字键为: A,S,D,F,G 分别代表: A. 一 (横). S. 丨 (竖). D. 丿 (撇). F. 丶 ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWvJAp.html" rel="bookmark" class="title">&lbrack;翻译&rsqb; INSSearchBar</a>
					<div>
						INSSearchBar 效果: An animating search bar. 一个带动画效果的search bar. Originally developed for ShopNow v2. ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAJNkM.html" rel="bookmark" class="title">判断是否为正确日期格式的javascript</a>
					<div>
						function isDateString(sDate){    var iaMonthDays = [31,28,31,30,31,30,31,31,30,31,30,31]    var iaDa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Yx64M.html" rel="bookmark" class="title">&lbrack;Android&rsqb; 使用Include布局&plus;Fragment滑动切换屏幕</a>
					<div>
						    前面的文章已经讲述了&quot;随手拍&quot;项目图像处理的技术部分,该篇文章主要是主界面的布局及屏幕滑动切换,并结合鸿洋大神的视频和郭神的第一行代码(强推两人Android博客),完成了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWgNjp.html" rel="bookmark" class="title">jsp-JSP 截取字符串前五个字符</a>
					<div>
						问题描述 JSP 截取字符串前五个字符 &lt;c:forEach items=&quot;${list}&quot; var=&quot;email&quot;&gt; &lt;tr&gt; &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N1lWM.html" rel="bookmark" class="title">c&plus;&plus;找出a b区域之间所有回文素数并输出</a>
					<div>
						问题描述 c++找出a b区域之间所有回文素数并输出 编译错误,求大神帮看 #include #include using namespace std; int main() { int a,b,n; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA1OJM.html" rel="bookmark" class="title">2016年ICT产业趋势预测</a>
					<div>
						2015年,ICT产业热闹非常,精彩纷呈.除了移动互联网.智能终端的进一步普及,云计算.大数据.物联网等技术革命也席卷全球,而可穿戴设备.3D打印.人工智能等更多指向未来的技术更是大步向我们走来.可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo7wNM.html" rel="bookmark" class="title">提高竞价账户质量度最有效的办法</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 任何一个做百度竞价的用户都是希望提升百度竞价账户质量度的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5Pqnp.html" rel="bookmark" class="title">c&plus;&plus;的问题-我在做课程设计的时候出现问题了</a>
					<div>
						问题描述 我在做课程设计的时候出现问题了 #include&lt;iostream&gt; #include&lt;cstdlib&gt; #include&lt;algorithm&gt; #inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YoBPz.html" rel="bookmark" class="title">帮忙翻译个Java线程（伪代码翻译成Java线程）</a>
					<div>
						问题描述 Initialize()ReadEventPlayerFile()//ReadintheEventPlayerFileandstorein//Memory(iffilesdoesnotget ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZygVb.html" rel="bookmark" class="title">　传统零售业纷纷触网</a>
					<div>
						过去的一年,实体零售业的持续低迷与网络购物的持续升温,令&quot;触网&quot;成为实体零售商的必然选择.在&quot;触网&quot;这条路上,有的小有成就,有的黯然离场,有的正在酝酿卷土重来. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Nnw0z.html" rel="bookmark" class="title">基于Bootstrap实现tab标签切换效果&lowbar;javascript技巧</a>
					<div>
						本文实例为大家分享了Bootstrap实现tab标签切换效果的具体代码,供大家参考,具体内容如下 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qknqp.html" rel="bookmark" class="title">Python基础教程学习笔记 第二章 列表和元组&lowbar;Android</a>
					<div>
						1.序列中元素的索引: 第一个元素索引是0,第二个是1,依次递增 最后一个元素索引是-1,倒数第二个是-2,依次递减 2.序列(Sequence)的种类: 列表(list).元组(tuple).字符串 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmDLOp.html" rel="bookmark" class="title">jQuery Raty 一款不错的星级评分插件&lowbar;jquery</a>
					<div>
						在做商品评价时,一般情况下,我们需要一个星级评分的组件,而jQuery Raty恰好满足我们的需求. 一.展示 二.使用教程 ①.下载插件 https://github.com/wbotelhos/r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO6Ewb.html" rel="bookmark" class="title">php构造函数实例讲解&lowbar;php技巧</a>
					<div>
						PHP官网定义: 复制代码 代码如下: 构造函数是类中的一个特殊函数,当使用 new 操作符创建一个类的实例时,构造函数将会自动调用.当函数与类同名时,这个函数将成为构造函数.如果一个类没有构造函数, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkJ1aM.html" rel="bookmark" class="title">一个tomcat一个ip多个域名配置</a>
					<div>
						问题描述 http://localhost/a-----&gt;http://www.abc.comhttp://localhost/b-----&gt;http://www.dbf.com请问怎么配 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NEeop.html" rel="bookmark" class="title">ats-linux Ats（traffic&lowbar;server） 中wccp支持 编译选项配置怎么配？</a>
					<div>
						问题描述 linux Ats(traffic_server) 中wccp支持 编译选项配置怎么配? 今天要在编译一个新的linux ATS 来使得其支持wccp, 配置时:./configure -- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvRemb.html" rel="bookmark" class="title">系统更新不及时 87&percnt;的Android设备易受攻击</a>
					<div>
						北京时间10月14日消息,据科技网站PCWorld报道,Android手机厂商没有及时发布安全更新包,使几乎所有人都面临受到攻击的可能.这是剑桥大学试图量化Android安全现状的一项研究的结论之一. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrv7ZWM.html" rel="bookmark" class="title">苹果暗示目前的MobileMe用户的服务期限将免费后延</a>
					<div>
						届时将关闭这项服务.苹果已经向MobileMe用户发出电子邮件,通知他们服务期限被免费后延.苹果在电子邮件中还说,到2012年6月30日后,公司将不再提供MobileMe服务.最近,苹果已经开始将售价 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GJ24M.html" rel="bookmark" class="title">网站提交前SEO要好什么工作</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 大家都知道新的网站要提交,因为搜索 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
